#1 19.06.2022 13:50:09

amon
Користувач
Реєстрація: 19.06.2022
К-ть повідомлень: 8

Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)

~ $ qbittorrent
Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)
Aborted (core dumped)
qt.core.plugin.factoryloader: Got keys from plugin meta data QList("ibus")
qt.core.plugin.factoryloader: checking directory path "/usr/bin/platforminputcontexts" ...
qt.core.library: "/usr/lib/qt6/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so" loaded library
qt.core.plugin.factoryloader: checking directory path "/usr/lib/qt6/plugins/styles" ...
qt.core.plugin.factoryloader: looking at "/usr/lib/qt6/plugins/styles/libqt6gtk2-style.so"
qt.core.plugin.loader: Found metadata in lib /usr/lib/qt6/plugins/styles/libqt6gtk2-style.so, metadata=
{
    "IID": "org.qt-project.Qt.QStyleFactoryInterface",
    "MetaData": {
        "Keys": [
            "gtk2",
            "qt6gtk2",
            "qt5gtk2"
        ]
    },
    "archlevel": 1,
    "className": "Qt6Gtk2StylePlugin",
    "debug": false,
    "version": 393984
}


qt.core.plugin.factoryloader: Got keys from plugin meta data QList("gtk2", "qt6gtk2", "qt5gtk2")
qt.core.plugin.factoryloader: checking directory path "/usr/bin/styles" ...
qt.core.library: "/usr/lib/qt6/plugins/styles/libqt6gtk2-style.so" loaded library
Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)
Aborted (core dumped)

у кого які думки?

Поза форумом

#2 20.06.2022 09:55:28

dorado
Administrator
Місце: Львів
Реєстрація: 17.03.2021
К-ть повідомлень: 10
Веб-сайт

Re: Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)

amon написав раніше:

~ $ qbittorrent
Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)
Aborted (core dumped)
у кого які думки?

Ось тут є розв'язання Вашої проблеми: https://forum.qt.io/topic/108401/find-o … qt-library

Поза форумом

#3 22.06.2022 10:13:54

amon
Користувач
Реєстрація: 19.06.2022
К-ть повідомлень: 8

Re: Cannot mix incompatible Qt library (6.3.0) with this library (6.3.1)

перед тим, як тут писати, я дивився в інтернеті і це бачив, але там дуже мудро написвно...
питання вирішилось після того, як перезібрав gtk6qt2

Поза форумом

Низ форуму